﻿<h2>Eliminar</h2>

<form id="entityForm">
    @Html.AntiForgeryToken()
    <input type="hidden" id="entidad" value="Author" />
    <div>
        <label for="id" class="fw-bold">ID:</label>
        <span id="id"></span>
    </div>
    <div>
        <label for="firstName" class="fw-bold">FirstName:</label>
        <span id="firstName"></span>
    </div>
    <div>
        <label for="lastName" class="fw-bold">LastName:</label>
        <span id="lastName"></span>
    </div>
    <div>
        <label for="birthDay" class="fw-bold">BirthDay:</label>
        <span id="birthDay"></span>
    </div>
    <div>
        <label for="countryOrigin" class="fw-bold">Country Origin:</label>
        <span id="countryOrigin"></span>
    </div>
    <br />
    <div>
        <button type="button" onclick="eliminar()" class="btn btn-primary">Eliminar</button>
        <button type="button" onclick="cancelar()" class="btn btn-secundary">Cancelar</button>
    </div>
</form>

<script src="~/js/crud/delete.js"></script>

<script>
    function fillData(data) {
        document.getElementById("id").textContent = data.id;
        document.getElementById("firstName").textContent = data.firstName;
        document.getElementById("lastName").textContent = data.lastName;
        document.getElementById("birthDay").textContent = data.birthDay;
        document.getElementById("countryOrigin").textContent = data.countryOrigin.nombre;
    }

    cargarDatos();
</script>